# Fightcards Schedule Endpoint

This endpoint returns information on the schedule of a particular fightcard. Information returned includes: Detailed information on the fighters of each team, Estimated start time, Fighter Records & Weight class. This information is kept up to date every 5 minutes

## **Endpoint URLs**

| `https://dde-api.data.imgarena.com/mma/fightcards/{id}/schedule` |
| ---------------------------------------------------------------- |

## **Required Headers**

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

### **Request Parameters**

This endpoint takes no parameters

## **Response Model:**

### **Fightcard Schedule Object**

| Field Name    | Type    | Description                                                                                                                                                                                                 |
| ------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| startTime     | object  | an object containing “status” – the status of the start time, e.g. EstimatedStart, and “time”, the estimated start time, in local + UTC offset format                                                       |
| weightClass   | object  | An object containing information on the weight class                                                                                                                                                        |
| referee       | object  | Contains ID, First and last name of the referee for the fight.                                                                                                                                              |
| startTimeText | string  | Text description of the start time. Note that the start time object contains detailed information about the start and is likely to be more useful than this field. Main values; Starts At, Follows Previous |
| fightOrder    | integer | The fight’s order on the card. Fight number 1 is the main event, 2 is the co-main event and so on, so that the first fight of the night has the highest number. The main event is always 1                  |
| fightcardId   | integer | the ID of the fightcard in which the fight is in                                                                                                                                                            |
| accolades     | object  | An object containing information on the belt & the name of the belt title                                                                                                                                   |
| fightSeq      | integer | The fight sequence on the overall fightcard. 1 if first, 2 if second etc.                                                                                                                                   |
| redTeam       | object  | An object containing information on the fighter of the red team                                                                                                                                             |
| Date          | string  | the date of the fight                                                                                                                                                                                       |
| blueTeam      | object  | An object containing information on the fighter of the blue team                                                                                                                                            |
| status        | string  | the status of the fight. Possible values; “Upcoming”, “InProgress”, “Finished” or "Cancelled"                                                                                                               |
| cardSegment   | string  | The segment of the card that this fight belongs to. Options; main, prelims1, prelims2                                                                                                                       |
| fightId       | string  | The ID number of the fight                                                                                                                                                                                  |
| fightType     | object  | Contains information on the type of fight, total number of possible rounds                                                                                                                                  |
| bookingStatus | object  | information on whether or not a fight is booked                                                                                                                                                             |

### **startTime Object**

| Field Name | Type   | Description                                            |
| ---------- | ------ | ------------------------------------------------------ |
| status     | string | Status of the current start time e.g. "EstimatedStart" |
| time       | string | The start time of the fight + UTC offset format        |

### **Weightclass Object**

| Field Name   | Type    | Description                                                             |
| ------------ | ------- | ----------------------------------------------------------------------- |
| weight       | string  | the weight range, in lb, of the weightclass                             |
| description  | string  | description of the weightclass                                          |
| id           | integer | ID of the weightclass                                                   |
| obsolete     | Boolean | Details whether the weightclass is still active within the organisation |
| abbreviation | string  | abbreviated description of the weightclass                              |
| organisation | string  | the organisation that the weightclass is associated to i,e UFC          |

### **Referee Object**

| Field Name | Type    | Description                   |
| ---------- | ------- | ----------------------------- |
| id         | integer | the ID of the referee         |
| firstName  | string  | the first name of the referee |
| lastName   | string  | the last name of the referee  |

### **Accolades Object**

| Field Name | Type   | Description           |
| ---------- | ------ | --------------------- |
| belt       | string | the type of belt      |
| name       | string | the title of the belt |

### **Red Team Object**

| Field Name | Type   | Description                                                               |
| ---------- | ------ | ------------------------------------------------------------------------- |
| fighter1   | object | detailed information on the fighter under the red team                    |
| rank       | string | the fighters current rank. (may appear null if the fighter is not ranked) |
| accolades  | object | -                                                                         |

### **fighter1 Object**

| Field Name    | Type    | Description                                                                                            |
| ------------- | ------- | ------------------------------------------------------------------------------------------------------ |
| reach         | decimal | the reach, in inches, of the fighter. Will be null if unknown.                                         |
| dob           | date    | the date of birth of the fighter                                                                       |
| fightsOutOf   | string  | the city, state, country, country code of where the fighter currently fights out of                    |
| height        | integer | the height, in inches, of the fighter. Will be null if unknown.                                        |
| country       | string  | country code of the fighter                                                                            |
| age           | integer | the age of the fighter                                                                                 |
| weighInWeight | float   | the weigh in weight, in lb, of the fighter. Will be null if unknown.                                   |
| lastName      | string  | the last name of the fighter                                                                           |
| stance        | string  | the stance of the fighter. Possible values; Orthodox, Southpaw, Switch, Open. Will be null if unknown. |
| firstName     | string  | the first name of the fighter                                                                          |
| nickName      | string  | the nickname of the fighter                                                                            |
| fighterId     | integer | the id of the fighter                                                                                  |
| born          | string  | the city, state, country, country code of where the fighter was born                                   |
| record        | object  | win/loss/draw/no contest record of the fighter                                                         |
| accolades     | string  | will be null unless a title holder. If not null, will explain what title the fighter holds.            |

### Record Object

| Field Name | Type    | Description                                                         |
| ---------- | ------- | ------------------------------------------------------------------- |
| wins       | integer | the amount of professional wins a fighter has                       |
| losses     | integer | the amount of professional losses a fighter has                     |
| draws      | integer | the amount of professional draws a fighter has                      |
| noContest  | integer | the number of professional contests the fighter has participated in |

### **Blue Team Object**

| Field Name | Type   | Description                                                               |
| ---------- | ------ | ------------------------------------------------------------------------- |
| fighter1   | object | detailed information on the fighter under the blue team                   |
| rank       | string | the fighters current rank. (may appear null if the fighter is not ranked) |
| accolades  | object | appears to be null- even for champions                                    |

### **fightType Object**

| Field Name     | Type    | Description                         |
| -------------- | ------- | ----------------------------------- |
| possibleRounds | integer | the number of possible rounds       |
| description    | string  | description on the number of rounds |

### bookingStatus Object

| Field Name | Type   | Description |
| ---------- | ------ | ----------- |
| status     | string | -           |

## Sample Response

```
[
  {
    "startTime": {
      "status": "EstimatedStart",
      "time": "03:00Z"
    },
    "weightClass": {
      "weight": "116-125",
      "description": "Flyweight",
      "id": 19,
      "obsolete": false,
      "abbreviation": "FLW",
      "organisation": "UFC"
    },
    "fightOrder": 1,
    "date": "2024-11-02",
    "cardSegment": "main",
    "fightId": 8987,
    "fightType": {
      "description": "5 Rnd (5-5-5-5-5)",
      "possibleRounds": 5
    },
    "bookingStatus": {
      "status": "AutoBooked"
    },
    "referee": null,
    "startTimeText": "Follows Previous",
    "fightcardId": 900,
    "accolades": null,
    "fightSeq": 14,
    "redTeam": {
      "fighter1": {
        "reach": 70,
        "dob": "1993-12-07",
        "fightsOutOf": "Tijuana, Baja California, MEX",
        "height": 67,
        "age": 30,
        "weighInWeight": null,
        "lastName": "Moreno",
        "fightsOutOfCountyCode": "MEX",
        "country": "MEX",
        "stance": "ORTHODOX",
        "fighterId": 361,
        "firstName": "Brandon",
        "nickName": "The Assassin Baby",
        "born": "Tijuana, Baja California, MEX",
        "record": {
          "draws": 2,
          "losses": 8,
          "noContests": 0,
          "wins": 21
        }
      },
      "rank": 2,
      "accolades": null
    },
    "blueTeam": {
      "fighter1": {
        "reach": 68,
        "dob": "1993-10-27",
        "fightsOutOf": "Baghdad, Baghdad, IRQ",
        "height": 65,
        "age": 31,
        "weighInWeight": null,
        "lastName": "Albazi",
        "fightsOutOfCountyCode": "IRQ",
        "country": "IRQ",
        "stance": "ORTHODOX",
        "fighterId": 3455,
        "firstName": "Amir",
        "nickName": "The Prince",
        "born": "Baghdad, Baghdad, IRQ",
        "record": {
          "draws": 0,
          "losses": 1,
          "noContests": 0,
          "wins": 17
        }
      },
      "rank": 3,
      "accolades": null
    },
    "status": "Upcoming"
  },
  {
    "startTime": {
      "status": "EstimatedStart",
      "time": "02:30Z"
    },
    "weightClass": {
      "weight": "116-125",
      "description": "Women's Flyweight",
      "id": 3,
      "obsolete": false,
      "abbreviation": "WFLW",
      "organisation": "UFC"
    },
    "fightOrder": 2,
    "date": "2024-11-02",
    "cardSegment": "main",
    "fightId": 8942,
    "fightType": {
      "description": "5 Rnd (5-5-5-5-5)",
      "possibleRounds": 5
    },
    "bookingStatus": {
      "status": "AutoBooked"
    },
    "referee": null,
    "startTimeText": "Follows Previous",
    "fightcardId": 900,
    "accolades": null,
    "fightSeq": 13,
    "redTeam": {
      "fighter1": {
        "reach": 66,
        "dob": "1999-05-04",
        "fightsOutOf": "Elmwood Park, New Jersey, USA",
        "height": 64,
        "age": 25,
        "weighInWeight": null,
        "lastName": "Blanchfield",
        "fightsOutOfCountyCode": "USA",
        "country": "USA",
        "stance": "ORTHODOX",
        "fighterId": 3638,
        "firstName": "Erin",
        "nickName": "Cold Blooded",
        "born": "New York City, New York, USA",
        "record": {
          "draws": 0,
          "losses": 2,
          "noContests": 0,
          "wins": 12
        }
      },
      "rank": 3,
      "accolades": null
    },
    "blueTeam": {
      "fighter1": {
        "reach": 65,
        "dob": "1992-06-29",
        "fightsOutOf": "Denver, Colorado, USA",
        "height": 65,
        "age": 32,
        "weighInWeight": null,
        "lastName": "Namajunas",
        "fightsOutOfCountyCode": "USA",
        "country": "USA",
        "stance": "ORTHODOX",
        "fighterId": 1060,
        "firstName": "Rose",
        "nickName": "Thug",
        "born": "Milwaukee, Wisconsin, USA",
        "record": {
          "draws": 0,
          "losses": 6,
          "noContests": 0,
          "wins": 14
        }
      },
      "rank": 5,
      "accolades": null
    },
    "status": "Upcoming"
  },
  {
    "startTime": {
      "status": "EstimatedStart",
      "time": "02:00Z"
    },
    "weightClass": {
      "weight": "206-265",
      "description": "Heavyweight",
      "id": 11,
      "obsolete": false,
      "abbreviation": "HW",
      "organisation": "UFC"
    },
    "fightOrder": 3,
    "date": "2024-11-02",
    "cardSegment": "main",
    "fightId": 8976,
    "fightType": {
      "description": "3 Rnd (5-5-5)",
      "possibleRounds": 3
    },
    "bookingStatus": {
      "status": "AutoBooked"
    },
    "referee": null,
    "startTimeText": "Follows Previous",
    "fightcardId": 900,
    "accolades": null,
    "fightSeq": 12,
    "redTeam": {
      "fighter1": {
        "reach": 79,
        "dob": "1985-02-07",
        "fightsOutOf": "Houston, Texas, USA",
        "height": 75,
        "age": 39,
        "weighInWeight": null,
        "lastName": "Lewis",
        "fightsOutOfCountyCode": "USA",
        "country": "USA",
        "stance": "ORTHODOX",
        "fighterId": 357,
        "firstName": "Derrick",
        "nickName": "The Black Beast",
        "born": "New Orleans, Louisiana, USA",
        "record": {
          "draws": 0,
          "losses": 12,
          "noContests": 1,
          "wins": 28
        }
      },
      "rank": 11,
      "accolades": null
    },
    "blueTeam": {
      "fighter1": {
        "reach": 79.5,
        "dob": "1991-06-23",
        "fightsOutOf": "Curitiba, Parana, BRA",
        "height": 76,
        "age": 33,
        "weighInWeight": null,
        "lastName": "Diniz",
        "fightsOutOfCountyCode": "BRA",
        "country": "BRA",
        "stance": "ORTHODOX",
        "fighterId": 4072,
        "firstName": "Jhonata",
        "nickName": null,
        "born": "Curitiba, Parana, BRA",
        "record": {
          "draws": 0,
          "losses": 0,
          "noContests": 0,
          "wins": 8
        }
      },
      "rank": null,
      "accolades": null
    },
    "status": "Upcoming"
  },
  {
    "startTime": {
      "status": "EstimatedStart",
      "time": "01:30Z"
    },
    "weightClass": {
      "weight": "186-205",
      "description": "Light Heavyweight",
      "id": 4,
      "obsolete": false,
      "abbreviation": "LHW",
      "organisation": "UFC"
    },
    "fightOrder": 4,
    "date": "2024-11-02",
    "cardSegment": "main",
    "fightId": 8977,
    "fightType": {
      "description": "3 Rnd (5-5-5)",
      "possibleRounds": 3
    },
    "bookingStatus": {
      "status": "AutoBooked"
    },
    "referee": null,
    "startTimeText": "Follows Previous",
    "fightcardId": 900,
    "accolades": null,
    "fightSeq": 11,
    "redTeam": {
      "fighter1": {
        "reach": 78,
        "dob": "1994-07-20",
        "fightsOutOf": "Presidente Prudente, Sao Paulo, BRA",
        "height": 76,
        "age": 30,
        "weighInWeight": null,
        "lastName": "Machado",
        "fightsOutOfCountyCode": "BRA",
        "country": "BRA",
        "stance": "SOUTHPAW",
        "fighterId": 3847,
        "firstName": "Caio",
        "nickName": "Bigfoot",
        "born": "Presidente Prudente, Sao Paulo, BRA",
        "record": {
          "draws": 1,
          "losses": 3,
          "noContests": 0,
          "wins": 8
        }
      },
      "rank": null,
      "accolades": null
    },
    "blueTeam": {
      "fighter1": {
        "reach": 81,
        "dob": "1996-09-08",
        "fightsOutOf": "Curitiba, Parana, BRA",
        "height": 75,
        "age": 28,
        "weighInWeight": null,
        "lastName": "Ribeiro",
        "fightsOutOfCountyCode": "BRA",
        "country": "BRA",
        "stance": "ORTHODOX",
        "fighterId": 4068,
        "firstName": "Brendson",
        "nickName": "The Gorilla",
        "born": "Belem, Para, BRA",
        "record": {
          "draws": 0,
          "losses": 7,
          "noContests": 1,
          "wins": 15
        }
      },
      "rank": null,
      "accolades": null
    },
    "status": "Upcoming"
  }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/ufc-media/schedule-endpoints-restful/fightcards-schedule-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
